10 Replies Latest reply: Oct 29, 2011 4:06 PM by garyfromgoderich
AppleAbe Level 1 Level 1 (0 points)

My iPod touch shows that the current software is 4.2.1, and that that is the current one... But it isn't. Because iOS 5 is supposed to be compatible...!?


iPod touch, iOS 5